API references
Merchant API

Retrieve metadata

Retrieves metadata associated with a specific key. You can also specify an optional dot-separated path to retrieve only a subset of the metadata.

Metadata is a flexible way to store additional information for your account, and can be used for storing configuration, preferences, or any other data you need.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/retrieve-metadata HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
key: string,
path: string?,
data_only: boolean?,
}
Returns: object.metadata | any
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
key string

Required. The unique key that identifies the metadata object.

path string

Optional. Optional dot-separated path to retrieve.

data_only boolean

Optional. If true, only the metadata value will be returned.

Metadata attributes
Attribute Description
key
string

Always present. The unique key that identifies the metadata object.

metadata
any

Nullable. The stored JSON metadata.

bytesize
number

Always present. The size of the metadata in bytes.

version
number

Always present. The current version number (lock_version).

updated_at
number

Always present. The Unix timestamp (seconds since epoch) when the metadata was last updated.

created_at
number

Always present. The Unix timestamp (seconds since epoch) when the metadata was created.

expires_at
number

Nullable. The Unix timestamp (seconds since epoch) when the metadata will expire. May be null.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/merchants/retrieve-metadata" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
  -d '{
        "key": "myData",
        "path": "tags.a"
      }'
Learn how to run these code samples in your terminal by reading our guide.